package cz.fi.muni.pa165.dto.band;

import lombok.Data;
import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import java.util.Set;

/**
 * @author Dávid Želník - 469323
 */
@Data
public class BandCreateDto {

    @NotNull
    private String name;

    /**
     * ROCK | POP | COUNTRY | METAL | PUNK
     */
    @NotNull
    private String bandType;

    @Column
    private String logo;

    /**
     * musicians Ids saved
     */
    @NotNull
    private Set<String> bandMembers;
}
