package cz.fi.muni.pa165.dto.band;

import cz.fi.muni.pa165.dto.activity.ActivityDto;
import cz.fi.muni.pa165.dto.album.AlbumDto;
import cz.fi.muni.pa165.dto.musician.MusicianDto;
import lombok.*;

import java.util.Set;

/**
 * @author Dávid Želník - 469323
 */
@Getter
@Setter
@EqualsAndHashCode(of = "id")
@AllArgsConstructor
@NoArgsConstructor
public class BandDto {

    private String id;

    private String name;

    /**
     * ROCK | POP | COUNTRY | METAL | PUNK
     */
    private String bandType;

    private String logo;

    private Set<ActivityDto> activities;

    private Set<AlbumDto> bandAlbums;

    private Set<MusicianDto> bandMembers;
}
