package cz.fi.muni.pa165.dto.musician;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Data
@Getter
@Setter
public class MusicianCreateDto {

    @NotBlank
    private String name;

    /**
     * GUITARIST | SINGER | DRUMMER | BASS_GUITARIST | PIANIST | VIOLINIST
     */
    @NotBlank
    private String musicianType;

    private boolean hasBand;
}
