package cz.fi.muni.pa165.dto.user;

import cz.fi.muni.pa165.dto.musician.MusicianDto;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class UserCreateDto {

    @NotBlank
    private String name;

    @NotBlank
    private String password;

    private String musicianId;

    private String managerId;
    /**
     * MUSICIAN | MANAGER
     */
    @NotNull
    private String userRole;
}
