package cz.fi.muni.pa165.dto.album;

import cz.fi.muni.pa165.dto.band.BandDto;
import cz.fi.muni.pa165.dto.song.SongDto;
import lombok.*;

import java.util.Set;

@Getter
@Setter
@EqualsAndHashCode(of = "id")
@AllArgsConstructor
@NoArgsConstructor
public class AlbumDto {

    private String id;

    private String name;

    private BandDto band;

    private Set<SongDto> songs;
}
