package cz.fi.muni.pa165.dto.user;

import cz.fi.muni.pa165.dto.manager.ManagerDto;
import cz.fi.muni.pa165.dto.musician.MusicianDto;
import lombok.*;

@Getter
@Setter
@EqualsAndHashCode(of = "id")
@AllArgsConstructor
@NoArgsConstructor
public class UserDto {

    private String id;

    private String name;


    private String password;

    private MusicianDto musician;

    private ManagerDto manager;

    /**
     * MUSICIAN | MANAGER
     */
    private String userRole;

}
