import axios from 'axios'

const BAND_URL = 'http://localhost:8080/pa165/rest/band'

class BandService {
    async upadate(paramId, nameParam, bandTypeParama, logoParama, bandMembersParam){
        const body = {id: paramId, name : nameParam, bandType  : bandTypeParama, logo : logoParama, bandMembers:{bandMembersParam}}
        await this.send("put", "/update", body)
    }

    async create(nameParam, bandTypeParama, logoParama, bandMembersParam){
        const body = {name : nameParam, bandType  : bandTypeParama, logo : logoParama, bandMembers:{bandMembersParam}}
        await this.send("post", "/create", body)
    }
    async getBands() {
        return axios.get(BAND_URL, {
            headers: {
                'Access-Control-Allow-Origin': '*',
                'Accept': 'application/json'
            }
        });
    }

    async send(method, url, body){
        await axios({
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
              },
            method: method,
            url: 'http://localhost:8080/pa165/rest/band' + url,
            data: JSON.stringify(body)
        });
    }
}

export default new BandService();
