import axios from 'axios'

const USER_URL = 'http://localhost:8080/pa165/rest/user'

class UserService {
    async getUser(name, password) {
        const url = USER_URL + `/${name}/${password}`
        return axios.get(url, {
            headers: {
                'Access-Control-Allow-Origin': '*',
                'Accept': 'application/json'
            },
        });
    }
}

export default new UserService();
